Package NetworkManager: Information

Source package: NetworkManager
Version: 1.18.11-alt1.gite2fdbc2b7482
Build time:  Jul 5, 2021, 01:01 PM
Category: System/Configuration/Networking
Report package bug
License: GPLv2+ and LGPLv2+ 
Summary:  Install NetworkManager daemon and plugins
Description: 
NetworkManager is a system service that manages network interfaces and
connections based on user or automatic configuration. It supports
Ethernet, Bridge, Bond, VLAN, Team, InfiniBand, Wi-Fi, mobile broadband
(WWAN), PPPoE and other devices, and supports a variety of different VPN
services.

This is virtual package for install NetworkManager daemon
and all its plugins (excluding VPN plugins).
List of rpms provided by this srpm: 
NetworkManager (mipsel)
NetworkManager-adsl (mipsel)
NetworkManager-adsl-debuginfo (mipsel)
NetworkManager-bluetooth (mipsel)
NetworkManager-bluetooth-debuginfo (mipsel)
NetworkManager-daemon (mipsel)
NetworkManager-daemon-debuginfo (mipsel)
NetworkManager-ppp (mipsel)
NetworkManager-ppp-debuginfo (mipsel)
NetworkManager-team (mipsel)
NetworkManager-team-debuginfo (mipsel)
NetworkManager-tui (mipsel)
NetworkManager-tui-debuginfo (mipsel)
NetworkManager-wifi (mipsel)
NetworkManager-wifi-debuginfo (mipsel)
NetworkManager-wwan (mipsel)
NetworkManager-wwan-debuginfo (mipsel)
libnm (mipsel)
libnm-debuginfo (mipsel)
libnm-devel (mipsel)
libnm-devel-doc (noarch)
libnm-gir (mipsel)
libnm-gir-devel (noarch)
Last changes:
July 1, 2021 Mikhail Efremov 1.18.11-alt1.gite2fdbc2b7482
- Backported patch from NM-1.32.2 (fixes: CVE-2020-13529):
  + dhcp/systemd: ignore FORCERENEW requests for DHCPV4 to workaround
    CVE-2020-13529.
- Upstream git snapshot (nm-1-18 branch).
June 10, 2021 Mikhail Efremov 1.18.10-alt3
- Backported from NM > 1.20 (closes: #39997):
  + libnm: let nm_utils_security_valid() reject TKIP with SAE (WPA3).
  + libnm: let nm_utils_security_valid() reject adhoc mode with SAE.
  + libnm/utils: add SAE security type.
  + tui: wifi: support WPA3-Personal (SAE).
  + libnm-core: support SAE when determining AP compatibility.
Feb. 24, 2021 Mikhail Efremov 1.18.10-alt2
- Patches from upstream:
  + device: fix crash releasing destroyed slave
  + docs: remove actions files generated by gtk-doc on clean
  + Makefile: remove "libnm.actions" explicitly when uninstalling
- dhcpcd: Try to kill dhcpcd w/o protocol option.
- dhcpcd: Fix pidfile path.
- dhcpcd: Fix error message.
- shared: Fix build on e2k.
- shared: Fix build with lcc-1.23 on e2k.
Back to Top